diff -urN Python-2.4.1.orig/autom4te.cache/requests Python-2.4.1/autom4te.cache/requests
--- Python-2.4.1.orig/autom4te.cache/requests	1970-01-01 10:00:00.000000000 +1000
+++ Python-2.4.1/autom4te.cache/requests	2005-06-29 21:57:43.000000000 +1000
@@ -0,0 +1,116 @@
+# This file was generated.
+# It contains the lists of macros which have been traced.
+# It can be safely removed.
+
+@request = (
+             bless( [
+                      '0',
+                      1,
+                      [
+                        '/crossfire/share/autoconf'
+                      ],
+                      [
+                        '/crossfire/share/autoconf/autoconf/autoconf.m4f',
+                        'aclocal.m4',
+                        'configure.in'
+                      ],
+                      {
+                        'm4_pattern_forbid' => 1,
+                        'AC_CONFIG_LIBOBJ_DIR' => 1,
+                        'AC_TYPE_OFF_T' => 1,
+                        'AC_C_VOLATILE' => 1,
+                        'AC_FUNC_CLOSEDIR_VOID' => 1,
+                        'AC_REPLACE_FNMATCH' => 1,
+                        'AC_PROG_LIBTOOL' => 1,
+                        'AC_FUNC_STAT' => 1,
+                        'AC_HEADER_TIME' => 1,
+                        'AC_FUNC_WAIT3' => 1,
+                        'AM_AUTOMAKE_VERSION' => 1,
+                        'AC_STRUCT_TM' => 1,
+                        'AC_FUNC_LSTAT' => 1,
+                        'AC_TYPE_MODE_T' => 1,
+                        'AC_FUNC_GETMNTENT' => 1,
+                        'AC_FUNC_STRTOD' => 1,
+                        'AC_CHECK_HEADERS' => 1,
+                        'AC_FUNC_STRNLEN' => 1,
+                        'm4_sinclude' => 1,
+                        'AC_PROG_CXX' => 1,
+                        'AC_PATH_X' => 1,
+                        'AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK' => 1,
+                        'AC_PROG_AWK' => 1,
+                        '_m4_warn' => 1,
+                        'AC_HEADER_STDC' => 1,
+                        'AC_HEADER_MAJOR' => 1,
+                        'AC_FUNC_ERROR_AT_LINE' => 1,
+                        'AC_PROG_GCC_TRADITIONAL' => 1,
+                        'AC_LIBSOURCE' => 1,
+                        'AC_FUNC_MBRTOWC' => 1,
+                        'AC_STRUCT_ST_BLOCKS' => 1,
+                        'AC_TYPE_SIGNAL' => 1,
+                        'AC_TYPE_UID_T' => 1,
+                        'AC_CONFIG_AUX_DIR' => 1,
+                        'AC_PROG_MAKE_SET' => 1,
+                        'sinclude' => 1,
+                        'm4_pattern_allow' => 1,
+                        'AC_DEFINE_TRACE_LITERAL' => 1,
+                        'AC_FUNC_STRERROR_R' => 1,
+                        'AC_PROG_CC' => 1,
+                        'AC_FUNC_FORK' => 1,
+                        'AC_DECL_SYS_SIGLIST' => 1,
+                        'AC_FUNC_VPRINTF' => 1,
+                        'AC_FUNC_STRCOLL' => 1,
+                        'AC_PROG_YACC' => 1,
+                        'AC_INIT' => 1,
+                        'AC_STRUCT_TIMEZONE' => 1,
+                        'AC_FUNC_CHOWN' => 1,
+                        'AC_SUBST' => 1,
+                        'AC_FUNC_ALLOCA' => 1,
+                        'AC_CANONICAL_HOST' => 1,
+                        'AC_FUNC_GETPGRP' => 1,
+                        'AC_PROG_RANLIB' => 1,
+                        'AM_INIT_AUTOMAKE' => 1,
+                        'AC_FUNC_SETPGRP' => 1,
+                        'AC_CONFIG_SUBDIRS' => 1,
+                        'AC_FUNC_MMAP' => 1,
+                        'AC_FUNC_REALLOC' => 1,
+                        'AC_TYPE_SIZE_T' => 1,
+                        'AC_CONFIG_LINKS' => 1,
+                        'AC_CHECK_TYPES' => 1,
+                        'AC_CHECK_MEMBERS' => 1,
+                        'AM_MAINTAINER_MODE' => 1,
+                        'AC_FUNC_UTIME_NULL' => 1,
+                        'AC_FUNC_SELECT_ARGTYPES' => 1,
+                        'AC_FUNC_STRFTIME' => 1,
+                        'AC_HEADER_STAT' => 1,
+                        'AC_C_INLINE' => 1,
+                        'AC_PROG_CPP' => 1,
+                        'AC_TYPE_PID_T' => 1,
+                        'AC_C_CONST' => 1,
+                        'AC_PROG_LEX' => 1,
+                        'AC_CONFIG_FILES' => 1,
+                        'include' => 1,
+                        'AC_FUNC_SETVBUF_REVERSED' => 1,
+                        'AC_PROG_INSTALL' => 1,
+                        'AM_GNU_GETTEXT' => 1,
+                        'AC_FUNC_OBSTACK' => 1,
+                        'AC_CHECK_LIB' => 1,
+                        'AC_FUNC_MALLOC' => 1,
+                        'AC_FUNC_GETGROUPS' => 1,
+                        'AC_FUNC_GETLOADAVG' => 1,
+                        'AH_OUTPUT' => 1,
+                        'AC_FUNC_FSEEKO' => 1,
+                        'AM_PROG_CC_C_O' => 1,
+                        'AM_CONDITIONAL' => 1,
+                        'AC_CANONICAL_SYSTEM' => 1,
+                        'AC_FUNC_MKTIME' => 1,
+                        'AC_CONFIG_HEADERS' => 1,
+                        'AC_HEADER_SYS_WAIT' => 1,
+                        'AC_FUNC_MEMCMP' => 1,
+                        'AC_PROG_LN_S' => 1,
+                        'm4_include' => 1,
+                        'AC_HEADER_DIRENT' => 1,
+                        'AC_CHECK_FUNCS' => 1
+                      }
+                    ], 'Autom4te::Request' )
+           );
+
diff -urN Python-2.4.1.orig/configure.in Python-2.4.1/configure.in
--- Python-2.4.1.orig/configure.in	2005-03-29 09:23:34.000000000 +1000
+++ Python-2.4.1/configure.in	2005-06-29 21:57:35.000000000 +1000
@@ -9,6 +9,12 @@
 AC_CONFIG_SRCDIR([Include/object.h])
 AC_CONFIG_HEADER(pyconfig.h)
 
+AC_CANONICAL_BUILD
+AC_CANONICAL_HOST
+AC_CANONICAL_TARGET
+
+AC_SUBST(CROSS_COMPILING, $cross_compiling)
+
 dnl This is for stuff that absolutely must end up in pyconfig.h.
 dnl Please use pyport.h instead, if possible.
 AH_TOP([
@@ -60,6 +66,26 @@
 AC_SUBST(CONFIG_ARGS)
 CONFIG_ARGS="$ac_configure_args"
 
+AC_MSG_CHECKING(for --with-pgen)
+AC_SUBST(PGEN)
+AC_ARG_ENABLE(pgen,
+              AC_HELP_STRING(--enable-pgen=<path>),
+[
+	case $enableval in
+	yes)
+		AC_MSG_ERROR([No path to pgen provided])
+		;;
+	no)
+		PGEN=Parser/pgen
+		;;
+	*)
+		PGEN=$enableval
+		;;
+	esac],[
+	PGEN=Parser/pgen
+])
+AC_MSG_RESULT($PGEN)
+
 dnl quadrigraphs "@<:@" and "@:>@" produce "[" and "]" in the output
 AC_ARG_ENABLE(framework,
               AC_HELP_STRING(--enable-framework@<:@=INSTALLDIR@:>@, Build (MacOSX|Darwin) framework),
@@ -423,7 +449,6 @@
     ;;
 esac
 
-
 AC_SUBST(LIBRARY)
 AC_MSG_CHECKING(LIBRARY)
 if test -z "$LIBRARY"
@@ -798,7 +823,7 @@
 # options before we can check whether -Kpthread improves anything.
 AC_MSG_CHECKING(whether pthreads are available without options)
 AC_CACHE_VAL(ac_cv_pthread_is_default,
-[AC_TRY_RUN([
+[AC_RUN_IFELSE([
 #include <pthread.h>
 
 void* routine(void* p){return NULL;}
@@ -816,8 +841,14 @@
   ac_cv_kthread=no
   ac_cv_pthread=no
 ],
+[
   ac_cv_pthread_is_default=no,
-  ac_cv_pthread_is_default=no)
+  ac_cv_pthread_is_default=no
+],
+[ 
+  ac_cv_pthread_is_default=yes
+  ac_cv_kthread=no
+  ac_cv_pthread=no])
 ])
 AC_MSG_RESULT($ac_cv_pthread_is_default)
 
@@ -3075,7 +3106,7 @@
 
 AC_MSG_CHECKING(for /dev/ptmx)
 
-if test -e /dev/ptmx
+if test $cross_compiling != yes && test -e /dev/ptmx
 then
   AC_MSG_RESULT(yes)
   AC_DEFINE(HAVE_DEV_PTMX, 1,
@@ -3086,7 +3117,7 @@
 
 AC_MSG_CHECKING(for /dev/ptc)
 
-if test -e /dev/ptc
+if test $cross_compiling != yes && test -e /dev/ptc
 then
   AC_MSG_RESULT(yes)
   AC_DEFINE(HAVE_DEV_PTC, 1,
Binary files Python-2.4.1.orig/Lib/aifc.pyc and Python-2.4.1/Lib/aifc.pyc differ
Binary files Python-2.4.1.orig/Lib/base64.pyc and Python-2.4.1/Lib/base64.pyc differ
Binary files Python-2.4.1.orig/Lib/bisect.pyc and Python-2.4.1/Lib/bisect.pyc differ
Binary files Python-2.4.1.orig/Lib/chunk.pyc and Python-2.4.1/Lib/chunk.pyc differ
Binary files Python-2.4.1.orig/Lib/codecs.pyc and Python-2.4.1/Lib/codecs.pyc differ
Binary files Python-2.4.1.orig/Lib/compileall.pyc and Python-2.4.1/Lib/compileall.pyc differ
Binary files Python-2.4.1.orig/Lib/copy_reg.pyc and Python-2.4.1/Lib/copy_reg.pyc differ
Binary files Python-2.4.1.orig/Lib/difflib.pyc and Python-2.4.1/Lib/difflib.pyc differ
Binary files Python-2.4.1.orig/Lib/distutils/dep_util.pyc and Python-2.4.1/Lib/distutils/dep_util.pyc differ
Binary files Python-2.4.1.orig/Lib/distutils/errors.pyc and Python-2.4.1/Lib/distutils/errors.pyc differ
Binary files Python-2.4.1.orig/Lib/distutils/__init__.pyc and Python-2.4.1/Lib/distutils/__init__.pyc differ
Binary files Python-2.4.1.orig/Lib/distutils/log.pyc and Python-2.4.1/Lib/distutils/log.pyc differ
Binary files Python-2.4.1.orig/Lib/distutils/spawn.pyc and Python-2.4.1/Lib/distutils/spawn.pyc differ
Binary files Python-2.4.1.orig/Lib/distutils/util.pyc and Python-2.4.1/Lib/distutils/util.pyc differ
Binary files Python-2.4.1.orig/Lib/email/base64MIME.pyc and Python-2.4.1/Lib/email/base64MIME.pyc differ
Binary files Python-2.4.1.orig/Lib/email/Charset.pyc and Python-2.4.1/Lib/email/Charset.pyc differ
Binary files Python-2.4.1.orig/Lib/email/Encoders.pyc and Python-2.4.1/Lib/email/Encoders.pyc differ
Binary files Python-2.4.1.orig/Lib/email/Errors.pyc and Python-2.4.1/Lib/email/Errors.pyc differ
Binary files Python-2.4.1.orig/Lib/email/FeedParser.pyc and Python-2.4.1/Lib/email/FeedParser.pyc differ
Binary files Python-2.4.1.orig/Lib/email/Generator.pyc and Python-2.4.1/Lib/email/Generator.pyc differ
Binary files Python-2.4.1.orig/Lib/email/Header.pyc and Python-2.4.1/Lib/email/Header.pyc differ
Binary files Python-2.4.1.orig/Lib/email/__init__.pyc and Python-2.4.1/Lib/email/__init__.pyc differ
Binary files Python-2.4.1.orig/Lib/email/Iterators.pyc and Python-2.4.1/Lib/email/Iterators.pyc differ
Binary files Python-2.4.1.orig/Lib/email/Message.pyc and Python-2.4.1/Lib/email/Message.pyc differ
Binary files Python-2.4.1.orig/Lib/email/MIMEAudio.pyc and Python-2.4.1/Lib/email/MIMEAudio.pyc differ
Binary files Python-2.4.1.orig/Lib/email/MIMEBase.pyc and Python-2.4.1/Lib/email/MIMEBase.pyc differ
Binary files Python-2.4.1.orig/Lib/email/MIMEImage.pyc and Python-2.4.1/Lib/email/MIMEImage.pyc differ
Binary files Python-2.4.1.orig/Lib/email/MIMEMessage.pyc and Python-2.4.1/Lib/email/MIMEMessage.pyc differ
Binary files Python-2.4.1.orig/Lib/email/MIMEMultipart.pyc and Python-2.4.1/Lib/email/MIMEMultipart.pyc differ
Binary files Python-2.4.1.orig/Lib/email/MIMENonMultipart.pyc and Python-2.4.1/Lib/email/MIMENonMultipart.pyc differ
Binary files Python-2.4.1.orig/Lib/email/MIMEText.pyc and Python-2.4.1/Lib/email/MIMEText.pyc differ
Binary files Python-2.4.1.orig/Lib/email/_parseaddr.pyc and Python-2.4.1/Lib/email/_parseaddr.pyc differ
Binary files Python-2.4.1.orig/Lib/email/Parser.pyc and Python-2.4.1/Lib/email/Parser.pyc differ
Binary files Python-2.4.1.orig/Lib/email/quopriMIME.pyc and Python-2.4.1/Lib/email/quopriMIME.pyc differ
Binary files Python-2.4.1.orig/Lib/email/test/__init__.pyc and Python-2.4.1/Lib/email/test/__init__.pyc differ
Binary files Python-2.4.1.orig/Lib/email/Utils.pyc and Python-2.4.1/Lib/email/Utils.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/aliases.pyc and Python-2.4.1/Lib/encodings/aliases.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/ascii.pyc and Python-2.4.1/Lib/encodings/ascii.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/euc_jp.pyc and Python-2.4.1/Lib/encodings/euc_jp.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/__init__.pyc and Python-2.4.1/Lib/encodings/__init__.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/iso2022_jp.pyc and Python-2.4.1/Lib/encodings/iso2022_jp.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/iso8859_2.pyc and Python-2.4.1/Lib/encodings/iso8859_2.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/koi8_r.pyc and Python-2.4.1/Lib/encodings/koi8_r.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/latin_1.pyc and Python-2.4.1/Lib/encodings/latin_1.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/mac_iceland.pyc and Python-2.4.1/Lib/encodings/mac_iceland.pyc differ
Binary files Python-2.4.1.orig/Lib/encodings/utf_8.pyc and Python-2.4.1/Lib/encodings/utf_8.pyc differ
Binary files Python-2.4.1.orig/Lib/getopt.pyc and Python-2.4.1/Lib/getopt.pyc differ
Binary files Python-2.4.1.orig/Lib/heapq.pyc and Python-2.4.1/Lib/heapq.pyc differ
Binary files Python-2.4.1.orig/Lib/hmac.pyc and Python-2.4.1/Lib/hmac.pyc differ
Binary files Python-2.4.1.orig/Lib/imghdr.pyc and Python-2.4.1/Lib/imghdr.pyc differ
Binary files Python-2.4.1.orig/Lib/linecache.pyc and Python-2.4.1/Lib/linecache.pyc differ
Binary files Python-2.4.1.orig/Lib/os.pyc and Python-2.4.1/Lib/os.pyc differ
Binary files Python-2.4.1.orig/Lib/posixpath.pyc and Python-2.4.1/Lib/posixpath.pyc differ
Binary files Python-2.4.1.orig/Lib/py_compile.pyc and Python-2.4.1/Lib/py_compile.pyc differ
Binary files Python-2.4.1.orig/Lib/quopri.pyc and Python-2.4.1/Lib/quopri.pyc differ
Binary files Python-2.4.1.orig/Lib/random.pyc and Python-2.4.1/Lib/random.pyc differ
Binary files Python-2.4.1.orig/Lib/re.pyc and Python-2.4.1/Lib/re.pyc differ
Binary files Python-2.4.1.orig/Lib/rfc822.pyc and Python-2.4.1/Lib/rfc822.pyc differ
Binary files Python-2.4.1.orig/Lib/site.pyc and Python-2.4.1/Lib/site.pyc differ
Binary files Python-2.4.1.orig/Lib/smtplib.pyc and Python-2.4.1/Lib/smtplib.pyc differ
Binary files Python-2.4.1.orig/Lib/sndhdr.pyc and Python-2.4.1/Lib/sndhdr.pyc differ
Binary files Python-2.4.1.orig/Lib/socket.pyc and Python-2.4.1/Lib/socket.pyc differ
Binary files Python-2.4.1.orig/Lib/sre_compile.pyc and Python-2.4.1/Lib/sre_compile.pyc differ
Binary files Python-2.4.1.orig/Lib/sre_constants.pyc and Python-2.4.1/Lib/sre_constants.pyc differ
Binary files Python-2.4.1.orig/Lib/sre_parse.pyc and Python-2.4.1/Lib/sre_parse.pyc differ
Binary files Python-2.4.1.orig/Lib/sre.pyc and Python-2.4.1/Lib/sre.pyc differ
Binary files Python-2.4.1.orig/Lib/stat.pyc and Python-2.4.1/Lib/stat.pyc differ
Binary files Python-2.4.1.orig/Lib/string.pyc and Python-2.4.1/Lib/string.pyc differ
Binary files Python-2.4.1.orig/Lib/test/__init__.pyc and Python-2.4.1/Lib/test/__init__.pyc differ
Binary files Python-2.4.1.orig/Lib/test/test_support.pyc and Python-2.4.1/Lib/test/test_support.pyc differ
Binary files Python-2.4.1.orig/Lib/traceback.pyc and Python-2.4.1/Lib/traceback.pyc differ
Binary files Python-2.4.1.orig/Lib/types.pyc and Python-2.4.1/Lib/types.pyc differ
Binary files Python-2.4.1.orig/Lib/unittest.pyc and Python-2.4.1/Lib/unittest.pyc differ
Binary files Python-2.4.1.orig/Lib/urllib.pyc and Python-2.4.1/Lib/urllib.pyc differ
Binary files Python-2.4.1.orig/Lib/urlparse.pyc and Python-2.4.1/Lib/urlparse.pyc differ
Binary files Python-2.4.1.orig/Lib/UserDict.pyc and Python-2.4.1/Lib/UserDict.pyc differ
Binary files Python-2.4.1.orig/Lib/uu.pyc and Python-2.4.1/Lib/uu.pyc differ
Binary files Python-2.4.1.orig/Lib/warnings.pyc and Python-2.4.1/Lib/warnings.pyc differ
diff -urN Python-2.4.1.orig/Makefile.pre.in Python-2.4.1/Makefile.pre.in
--- Python-2.4.1.orig/Makefile.pre.in	2005-03-29 09:23:01.000000000 +1000
+++ Python-2.4.1/Makefile.pre.in	2005-06-29 19:50:45.000000000 +1000
@@ -24,10 +24,14 @@
 MODLIBS=        _MODLIBS_
 
 # === Variables set by configure
+CROSS_COMPILING = @CROSS_COMPILING@
+
 VERSION=	@VERSION@
 srcdir=		@srcdir@
 VPATH=		@srcdir@
 
+PGEN=		@PGEN@
+
 CC=		@CC@
 CXX=		@CXX@
 LINKCC=		@LINKCC@
@@ -187,7 +191,9 @@
 
 ##########################################################################
 # Parser
+ifneq "$(CROSS_COMPILING)" "yes"
 PGEN=		Parser/pgen$(EXE)
+endif
 
 POBJS=		\
 		Parser/acceler.o \
@@ -304,9 +310,12 @@
 #########################################################################
 # Rules
 
+ifneq "$(CROSS_COMPILING)" "yes"
 # Default target
 all:		$(BUILDPYTHON) oldsharedmods sharedmods
 
+
+
 # Build the interpreter
 $(BUILDPYTHON):	Modules/$(MAINOBJ) $(LIBRARY) $(LDLIBRARY)
 		$(LINKCC) $(LDFLAGS) $(LINKFORSHARED) -o $@ \
@@ -323,6 +332,10 @@
 	*-s*) $(RUNSHARED) CC='$(CC)' LDSHARED='$(BLDSHARED)' OPT='$(OPT)' ./$(BUILDPYTHON) -E $(srcdir)/setup.py -q build;; \
 	*) $(RUNSHARED) CC='$(CC)' LDSHARED='$(BLDSHARED)' OPT='$(OPT)' ./$(BUILDPYTHON) -E $(srcdir)/setup.py build;; \
 	esac
+else
+# Default target
+all:	$(LIBRARY) Modules/$(MAINOBJ)
+endif
 
 # buildno should really depend on something like LIBRARY_SRC
 buildno: $(PARSER_OBJS) \
@@ -339,7 +352,7 @@
 
 # Build static library
 # avoid long command lines, same as LIBRARY_OBJS
-$(LIBRARY): $(LIBRARY_OBJS)
+$(LIBRARY):  $(LIBRARY_OBJS)
 	-rm -f $@
 	$(AR) cr $@ Modules/getbuildinfo.o
 	$(AR) cr $@ $(PARSER_OBJS)
@@ -444,8 +457,10 @@
 $(GRAMMAR_H) $(GRAMMAR_C): $(PGEN) $(GRAMMAR_INPUT)
 		-$(PGEN) $(GRAMMAR_INPUT) $(GRAMMAR_H) $(GRAMMAR_C)
 
+ifneq "$(CROSS_COMPILING)" "yes"
 $(PGEN):	$(PGENOBJS)
-		$(CC) $(OPT) $(LDFLAGS) $(PGENOBJS) $(LIBS) -o $(PGEN)
+		$(BUILDCC) $(BUILDLDFLAGS) $(PGENOBJS) $(LIBS) -o $(PGEN)
+endif
 
 Parser/grammar.o:	$(srcdir)/Parser/grammar.c \
 				$(srcdir)/Include/token.h \
diff -urN Python-2.4.1.orig/Modules/expat/expat.h Python-2.4.1/Modules/expat/expat.h
--- Python-2.4.1.orig/Modules/expat/expat.h	2004-08-03 17:06:22.000000000 +1000
+++ Python-2.4.1/Modules/expat/expat.h	2005-06-28 20:31:42.000000000 +1000
@@ -5,6 +5,8 @@
 #ifndef XmlParse_INCLUDED
 #define XmlParse_INCLUDED 1
 
+#include "pyconfig.h"
+
 #ifdef __VMS
 /*      0        1         2         3      0        1         2         3
         1234567890123456789012345678901     1234567890123456789012345678901 */
diff -urN Python-2.4.1.orig/Modules/posixmodule.c Python-2.4.1/Modules/posixmodule.c
--- Python-2.4.1.orig/Modules/posixmodule.c	2005-03-14 09:18:26.000000000 +1100
+++ Python-2.4.1/Modules/posixmodule.c	2005-06-29 22:25:18.000000000 +1000
@@ -1167,6 +1167,9 @@
 #endif
 
 #ifdef HAVE_CTERMID
+#ifndef L_ctermid
+#define L_ctermid 32
+#endif
 PyDoc_STRVAR(posix_ctermid__doc__,
 "ctermid() -> string\n\n\
 Return the name of the controlling terminal for this process.");
diff -urN Python-2.4.1.orig/Modules/socketmodule.c Python-2.4.1/Modules/socketmodule.c
--- Python-2.4.1.orig/Modules/socketmodule.c	2004-11-08 01:24:25.000000000 +1100
+++ Python-2.4.1/Modules/socketmodule.c	2005-06-28 22:28:39.000000000 +1000
@@ -63,6 +63,16 @@
 
 #include "Python.h"
 
+#if __rtems__
+#undef HAVE_SOCKETPAIR
+#define HAVE_GETPEERNAME 1
+#define HAVE_INET_PTON 1
+#define HAVE_HSTRERROR 1
+#define HAVE_SOCKADDR_SA_LEN 1
+#define HAVE_STRERROR 1
+#define HAVE_INET_ATON 1
+#endif
+
 #undef MAX
 #define MAX(x, y) ((x) < (y) ? (y) : (x))
 
diff -urN Python-2.4.1.orig/Modules/timemodule.c Python-2.4.1/Modules/timemodule.c
--- Python-2.4.1.orig/Modules/timemodule.c	2004-08-04 03:58:55.000000000 +1000
+++ Python-2.4.1/Modules/timemodule.c	2005-06-28 20:16:19.000000000 +1000
@@ -638,7 +638,7 @@
 
 	And I'm lazy and hate C so nyer.
      */
-#if defined(HAVE_TZNAME) && !defined(__GLIBC__) && !defined(__CYGWIN__)
+#if defined(HAVE_TZNAME) && !defined(__GLIBC__) && !defined(__CYGWIN__) && !defined(__rtems__)
 	tzset();
 #ifdef PYOS_OS2
 	PyModule_AddIntConstant(m, "timezone", _timezone);
@@ -697,7 +697,7 @@
 	}
 #else
 #endif /* HAVE_STRUCT_TM_TM_ZONE */
-#ifdef __CYGWIN__
+#if defined(__CYGWIN__) || defined(__rtems__)
 	tzset();
 	PyModule_AddIntConstant(m, "timezone", _timezone);
 	PyModule_AddIntConstant(m, "altzone", _timezone);
